Unispec Docs
ApiTyped memory

Update a record (merge patch)

Provided fields replace, explicit null removes. The merged object re-validates against the record's pinned schema version; the derived embedding is rewritten.

PATCH
/v1/records/{schemaName}/{recordId}

Provided fields replace, explicit null removes. The merged object re-validates against the record's pinned schema version; the derived embedding is rewritten.

Authorization

TokenAuth
Authorization<token>

Project API key as Token lb-sk_...

In: header

Path Parameters

schemaName*string
recordId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/v1/records/string/string" \  -H "Content-Type: application/json" \  -d '{    "record": {}  }'
{  "id": "string",  "schema": "string",  "schema_version": 0,  "user_id": "string",  "agent_id": "string",  "run_id": "string",  "app_id": "string",  "record": {},  "created_at": "2019-08-24T14:15:22Z"}
Empty